/*!
	\file GameObject.h

	\brief Header Datei der Klasse GameObject
	\author Christian Roesch
	\date 21.6.2010

	Erklaerung
*/

#ifndef GameObject_H
#define GameObject_H

#include <vector>

/*!
	\brief Kurzgesagt

	Tut _nichts_.
*/

class Move;

class GameObject
{
public:
	GameObject();
	void Reset();

	void draw();

	bool IsSelectable();
	bool IsStart();
	bool IsBlocking();
	bool IsPlayer();
	bool IsOil();
	bool IsDisabled();
	void TryToDisable();

	bool AcceptsMove( Move* pMove );

	enum ObjectType
	{
		OIL,
		MOVER,
		TALKER,
		GHOSTSTART,
		DISABLED,
	};
	ObjectType m_Type;
	int m_iSubType;
	int m_iPosX;
	int m_iPosY;
	std::string m_strText;
	Move* m_pMove;
};


#endif

class GameObject;


//	EOF: GameObject.h