/*!
	\file helper.h

	\brief Header Datei der helper Funktionen
	\author Christian Roesch
	\date 21.6.2010

	Erklaerung
*/

#ifndef helper_H
#define helper_H

#include "hge.h"

void Clamp( float& f, float fMin, float fMax );
void playFX( HEFFECT hFX, float fX= 0.0f, float fPitch= 1.0f );

enum Direction
{
	DIR_EAST,
	DIR_SOUTH,
	DIR_WEST,
	DIR_NORTH,
};

void DirToVec( int Dir, int& dX, int& dY );

#endif

//	EOF: helper.h
