/*!
	\file Move.cpp

	\brief cpp-Datei der Klasse CMove
	\author Christian Roesch
	\date 21.6.2010

	Erklaerung	
*/

#include "Move.h"
#include "globals.h"
#include "helper.h"

#include <cmath>
#include "resources.h"
#include "Game.h"

/*!
	Der Konstruktor
*/
Move::Move()
{
	Reset();
}
void Move::Reset()
{
	m_iObjectID= -1;
	m_iPosX= 0;
	m_iPosY= 0;
	m_iDir= 0;
	m_fTimeLeft= 0.0f;
}

void Move::GetTarget( int& iX, int& iY )
{
	DirToVec( m_iDir, iX, iY );
	iX+= m_iPosX;
	iY+= m_iPosY;
}

//	EOF: Move.cpp
