/*!
	\file globals.h

	\brief Header Datei der globals
	\author Christian Roesch
	\date 21.6.2010

	Erklaerung
*/

#ifndef globals_H
#define globals_H

class HGE;
class Game;

extern HGE *g_hge;
extern Game g_Game;

// Some "gameplay" variables
extern int g_ScreenSizeX;
extern int g_ScreenSizeY;
extern bool g_bWindow;
extern bool g_bNoTwitter;

extern float g_fCenterX;
extern float g_fCenterY;
extern float g_fZoom;
extern int g_iZoom;
extern float g_fTileSizeX;
extern float g_fTileSizeY;

extern float g_fGameSpeed;

extern int g_iFirstSleepLevel;

extern bool g_EditorEnabled;

#endif

//	EOF: globals.h
