/*!
	\file helper.cpp

	\brief cpp-Datei der Helper
	\author Christian Roesch
	\date 21.6.2010

	Erklaerung	
*/

#include "helper.h"
#include "globals.h"

//	EOF: helper.cpp

void Clamp( float& f, float fMin, float fMax )
{
	if( f < fMin )
	{
		f= fMin;
	}
	if( f > fMax )
	{
		f= fMax;
	}
}

void playFX( HEFFECT hFX, float fX/*= 0.0f*/, float fPitch/*= 1.0f */ )
{
	float pan= 0.0f; //fX / g_BoardSizeX * 100.0f;
	Clamp( pan, -100.0f, 100.0f );
	g_hge->Effect_PlayEx(hFX,100,(int)pan, fPitch);
}

void DirToVec( int Dir, int& dX, int& dY )
{
	int DirVecs[]= 
	{
		1, 0,
		0, 1,
		-1, 0,
		0, -1,
	};

	dX= DirVecs[ Dir * 2 ];
	dY= DirVecs[ Dir * 2 + 1 ];
}