/*!
	\file resources.h

	\brief Header Datei der resources
	\author Christian Roesch
	\date 21.6.2010

	Erklaerung
*/

#include "hge.h"
#include "hgesprite.h"
#include "hgeanim.h"
#include "hgefont.h"

#ifndef resources_H
#define resources_H

void LoadResource();
void FreeResource();

extern HTEXTURE			texTile[256];
extern hgeSprite*		sprTile[256];

enum ObjectTextures
{
	OT_PLAYER,
	OT_COOP,
	OT_MOVER,
	OT_MOVER_EAST,
	OT_MOVER_SOUTH,
	OT_MOVER_WEST,
	OT_MOVER_NORTH,
	OT_TALKER,
	OT_START,
	OT_SELECT,
	OT_COUNT,
};

extern HTEXTURE			texObj[ OT_COUNT ];
extern hgeAnimation*	sprObj[ OT_COUNT ];

extern HTEXTURE		texCursor;
extern hgeSprite*	sprCursor;

extern HTEXTURE		texTextBack;
extern hgeSprite*	sprTextBack;
extern HTEXTURE		texEditBack;
extern hgeSprite*	sprEditBack;
extern HTEXTURE		texMsgBack;
extern hgeSprite*	sprMsgBack;

extern hgeFont*			fnt;

/*extern HEFFECT			sndEnergy;
extern HEFFECT			sndPacEaten;
extern HEFFECT			sndFoodEaten;
extern HEFFECT			sndDead;
extern HEFFECT			sndNextLevel;

extern HMUSIC			musGame;*/


#endif

//	EOF: resources.h
